Package it.ernytech.tdlib

## Class TdApi.RichTextUnderline

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.RichText
    - - it.ernytech.tdlib.TdApi.RichTextUnderline

Enclosing class:
  TdApi

    public static class TdApi.RichTextUnderline
    extends TdApi.RichText

An underlined rich text.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.RichText` `text` Text.

### Constructor Summary

Constructors
`RichTextUnderline()` Default constructor.
`RichTextUnderline​(TdApi.RichText text)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### text

    public TdApi.RichText text

Text.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### RichTextUnderline

    public RichTextUnderline()

Default constructor.

#### RichTextUnderline

    public RichTextUnderline​(TdApi.RichText text)

Constructor for initialization of all fields.

Parameters:
  `text` - Text.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR